## orocos-kdl 1.5.2

=== orocos_kdl/CMakeLists.txt ===
#
# Test CMake version
#
CMAKE_MINIMUM_REQUIRED(VERSION 3.12.0)


###################################################
#                                                 #
#       Start project customization section       #
#                                                 #
###################################################

PROJECT(orocos_kdl)

SET(KDL_VERSION 1.5.2)
STRING( REGEX MATCHALL "[0-9]+" KDL_VERSIONS ${KDL_VERSION} )
LIST( GET KDL_VERSIONS 0 KDL_VERSION_MAJOR)
LIST( GET KDL_VERSIONS 1 KDL_VERSION_MINOR)
LIST( GET KDL_VERSIONS 2 KDL_VERSION_PATCH)

MESSAGE( STATUS "Orocos KDL version ${VERSION} (${KDL_VERSION_MAJOR}.${KDL_VERSION_MINOR}.${KDL_VERSION_PATCH})" )

SET( PROJ_SOURCE_DIR ${orocos_kdl_SOURCE_DIR} )
SET( PROJ_BINARY_DIR ${orocos_kdl_BINARY_DIR} )

# catkin-specific configuration (optional)
find_package(catkin QUIET)
if(catkin_FOUND)
  catkin_package(
    SKIP_CMAKE_CONFIG_GENERATION
    SKIP_PKG_CONFIG_GENERATION
  )
endif()

IF(NOT CMAKE_INSTALL_PREFIX)
  SET( CMAKE_INSTALL_PREFIX /usr/local/ CACHE PATH "Installation directory" FORCE)
  MESSAGE( STATUS "Setting installation directory to ${CMAKE_INSTALL_PREFIX}" )
ENDIF(NOT CMAKE_INSTALL_PREFIX)

SET(CMAKE_VERSION "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")


IF ( NOT CMAKE_BUILD_TYPE )
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
  MESSAGE( STATUS "Setting build type to '${CMAKE_BUILD_TYPE}'" )
ELSE ( NOT CMAKE_BUILD_TYPE )
  MESSAGE( STATUS "Build type set to '${CMAKE_BUILD_TYPE}' by user." )
ENDIF ( NOT CMAKE_BUILD_TYPE )

SET( KDL_CFLAGS "")

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  include(${PROJ_SOURCE_DIR}/cmake/FindEigen3.cmake)
endif()
include_directories(${EIGEN3_INCLUDE_DIR})
SET(KDL_CFLAGS "${KDL_CFLAGS} -I\"${EIGEN3_INCLUDE_DIR}\"")

# Check the platform STL containers capabilities
include(cmake/CheckSTLContainers.cmake)
CHECK_STL_CONTAINERS()

# Set the default option appropriately
if(HAVE_STL_CONTAINER_INCOMPLETE_TYPES)
    set(KDL_USE_NEW_TREE_INTERFACE_DEFAULT OFF)
else(HAVE_STL_CONTAINER_INCOMPLETE_TYPES)
    set(KDL_USE_NEW_TREE_INTERFACE_DEFAULT ON)
endif(HAVE_STL_CONTAINER_INCOMPLETE_TYPES)

# Allow the user to select the Tree API version to use
set(KDL_USE_NEW_TREE_INTERFACE ${KDL_USE_NEW_TREE_INTERFACE_DEFAULT} CACHE BOOL "Use the new KDL Tree interface")

#Sanity check, inform the user
if(NOT HAVE_STL_CONTAINER_INCOMPLETE_TYPES AND NOT KDL_USE_NEW_TREE_INTERFACE)
    message(WARNING "You have chosen to use the current Tree Interface, but your platform doesn't support containers of "
        "incomplete types, this configuration is likely invalid")
endif()

# The new interface requires the use of shared pointers
if(KDL_USE_NEW_TREE_INTERFACE)
    # We need shared_ptr from boost since not all compilers are c++11 capable
    find_package(Boost REQUIRED)
    include_directories(${Boost_INCLUDE_DIRS})
endif(KDL_USE_NEW_TREE_INTERFACE)

OPTION(ENABLE_TESTS OFF "Enable building of tests")
IF( ENABLE_TESTS )
  # If not in standard paths, set CMAKE_xxx_PATH's in environment, eg.
  # export CMAKE_INCLUDE_PATH=/opt/local/include
  # export CMAKE_LIBRARY_PATH=/opt/local/lib
  FIND_LIBRARY(CPPUNIT cppunit)
  SET(CPPUNIT ${CPPUNIT} "dl")
  FIND_PATH(CPPUNIT_HEADERS cppunit/TestRunner.h)
  IF ( CPPUNIT AND CPPUNIT_HEADERS)
    MESSAGE( STATUS "-- Looking for Cppunit - found")
  ELSE ( CPPUNIT AND CPPUNIT_HEADERS )
    MESSAGE( FATAL_ERROR "-- Looking for Cppunit - not found")
  ENDIF ( CPPUNIT AND CPPUNIT_HEADERS )
ENDIF(ENABLE_TESTS )

OPTION(ENABLE_EXAMPLES OFF "Enable building of examples")

ADD_SUBDIRECTORY( doc )
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( tests )
ADD_SUBDIRECTORY( models )
ADD_SUBDIRECTORY( examples )


export(TARGETS orocos-kdl
  FILE "${PROJECT_BINARY_DIR}/OrocosKDLTargets.cmake")

export(PACKAGE orocos_kdl)

# Generate CMake package configuration
CONFIGURE_FILE(orocos_kdl-config.cmake.in
  ${PROJECT_BINARY_DIR}/orocos_kdl-config.cmake @ONLY)
CONFIGURE_FILE(orocos_kdl-config-version.cmake.in
  ${PROJECT_BINARY_DIR}/orocos_kdl-config-version.cmake @ONLY)

INSTALL(FILES cmake/FindEigen3.cmake DESTINATION share/orocos_kdl/cmake)
INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config.cmake DESTINATION share/orocos_kdl/cmake)
INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config-version.cmake DESTINATION share/orocos_kdl/cmake)
INSTALL(EXPORT OrocosKDLTargets DESTINATION share/orocos_kdl/cmake)

# Generate pkg-config package configuration
CONFIGURE_FILE(orocos_kdl.pc.in ${CMAKE_CURRENT_BINARY_DIR}/orocos-kdl.pc @ONLY)
CONFIGURE_FILE(orocos_kdl.pc.in ${CMAKE_CURRENT_BINARY_DIR}/orocos_kdl.pc @ONLY)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos-kdl.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos_kdl.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)

=== python_orocos_kdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
# Avoid warning from pybind11 on Windows
if(POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()
if(POLICY CMP0057)
  cmake_policy(SET CMP0057 NEW)  # support IN_LISTS which is required for PyBind11 2.6 and newer
endif()
# CMake policy CMP0094 controls how Python versions are found;
# the OLD policy was to find the newest one, while the new policy
# is to stop after finding the first one.  We want to find the first
# one, so be sure to set that policy here.
if(POLICY CMP0094)
  cmake_policy(SET CMP0094 NEW)
endif()
# The default for Python3_FIND_UNVERSIONED_NAMES is LAST, which
# means find_package(Python3) will prefer to find /usr/bin/python3.11
# over /usr/bin/python3.  We actually prefer to find the system version,
# so set this to FIRST.
set(Python3_FIND_UNVERSIONED_NAMES FIRST)

project(python_orocos_kdl VERSION 1.5.2)

# find a matching version of orocos_kdl
find_package(orocos_kdl ${PROJECT_VERSION} EXACT REQUIRED)
include_directories(${orocos_kdl_INCLUDE_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

set(PYBIND11_PYTHON_VERSION 3 CACHE STRING "Python version used by PyBind11")

find_package(Python3 COMPONENTS Interpreter Development REQUIRED)
# get_python_lib in python3 produces path which isn't in sys.path: https://bugs.launchpad.net/ubuntu/+source/python3-stdlib-extensions/+bug/1832215
# execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific=True, prefix=''))" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
set(PYTHON_SITE_PACKAGES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/dist-packages" CACHE STRING "Install location of the python package")  # This might be overridden below if built with catkin.
set(LIBRARY_NAME "PyKDL")

# catkin-specific configuration (optional)
find_package(catkin QUIET)
if(catkin_FOUND)
  catkin_package(
    SKIP_CMAKE_CONFIG_GENERATION
    SKIP_PKG_CONFIG_GENERATION
  )
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR})
  set(PYTHON_SITE_PACKAGES_INSTALL_DIR "${PYTHON_INSTALL_DIR}")
endif()

# Build the module
find_package(pybind11 2.6 QUIET)
if(NOT ${pybind11_FOUND})
  message(STATUS "pybind11 not found, building from source")
  add_subdirectory(pybind11)
else()
  message(STATUS "pybind11 found, building against installed version")
endif()
pybind11_add_module(${LIBRARY_NAME}
  PyKDL/PyKDL.h
  PyKDL/PyKDL.cpp
  PyKDL/frames.cpp
  PyKDL/kinfam.cpp
  PyKDL/framevel.cpp
  PyKDL/dynamics.cpp)
target_link_libraries(${LIBRARY_NAME} PRIVATE ${orocos_kdl_LIBRARIES})
install(TARGETS ${LIBRARY_NAME} DESTINATION "${PYTHON_SITE_PACKAGES_INSTALL_DIR}")

=== orocos_kdl/examples/CMakeLists.txt ===
IF(ENABLE_EXAMPLES)
  INCLUDE_DIRECTORIES(${PROJ_SOURCE_DIR}/src ${PROJ_SOURCE_DIR}/models ${PROJ_BINARY_DIR}/src)

  add_executable(geometry geometry.cpp )
  TARGET_LINK_LIBRARIES(geometry orocos-kdl)
  
  add_executable(trajectory_example trajectory_example.cpp )
  TARGET_LINK_LIBRARIES(trajectory_example orocos-kdl)
  
  add_executable(chainiksolverpos_lma_demo chainiksolverpos_lma_demo.cpp )
  find_package(Boost REQUIRED)
  IF(${Boost_VERSION_MACRO} LESS 108300)
    TARGET_LINK_LIBRARIES(chainiksolverpos_lma_demo orocos-kdl orocos-kdl-models)
  ELSE()
    TARGET_LINK_LIBRARIES(chainiksolverpos_lma_demo boost_timer orocos-kdl orocos-kdl-models)
  ENDIF()

ENDIF(ENABLE_EXAMPLES)

=== orocos_kdl/models/CMakeLists.txt ===
OPTION(BUILD_MODELS "Build models for some well known robots" FALSE)

IF(BUILD_MODELS)
  
  ADD_LIBRARY(orocos-kdl-models SHARED puma560.cpp kukaLWR_DHnew.cpp) 
  INCLUDE_DIRECTORIES(${PROJ_SOURCE_DIR}/src ${PROJ_BINARY_DIR}/src)
  SET_TARGET_PROPERTIES( orocos-kdl-models PROPERTIES
    SOVERSION "${KDL_VERSION_MAJOR}.${KDL_VERSION_MINOR}"
    VERSION "${KDL_VERSION}"
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}"
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}"
    PUBLIC_HEADER models.hpp)
  TARGET_LINK_LIBRARIES(orocos-kdl-models orocos-kdl)

  export(TARGETS orocos-kdl-models APPEND
  FILE "${PROJECT_BINARY_DIR}/OrocosKDLTargets.cmake")

  INSTALL( TARGETS orocos-kdl-models
      EXPORT OrocosKDLTargets
      ARCHIVE DESTINATION lib${LIB_SUFFIX}
      LIBRARY DESTINATION lib${LIB_SUFFIX}
      PUBLIC_HEADER DESTINATION include/kdl
  )

ENDIF(BUILD_MODELS)

INCLUDE(CMakeDependentOption)
CMAKE_DEPENDENT_OPTION(BUILD_MODELS_DEMO "Build demo for some of the models" OFF "BUILD_MODELS" OFF)  
IF(BUILD_MODELS_DEMO)
  ADD_EXECUTABLE(p560test puma560test.cpp)
  TARGET_LINK_LIBRARIES(p560test orocos-kdl-models)
  SET_TARGET_PROPERTIES( p560test PROPERTIES
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")

  ADD_EXECUTABLE(kukaLWRtestDHnew kukaLWRtestDHnew.cpp)
  TARGET_LINK_LIBRARIES(kukaLWRtestDHnew orocos-kdl-models)
  SET_TARGET_PROPERTIES( kukaLWRtestDHnew PROPERTIES
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")

  ADD_EXECUTABLE(kukaLWRtestHCG kukaLWRtestHCG.cpp)
  TARGET_LINK_LIBRARIES(kukaLWRtestHCG orocos-kdl-models)
  SET_TARGET_PROPERTIES( kukaLWRtestHCG PROPERTIES
    COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")

ENDIF(BUILD_MODELS_DEMO)

=== orocos_kdl/src/CMakeLists.txt ===
FILE( GLOB_RECURSE KDL_SRCS [^.]*.cpp [^.]*.cxx)
FILE( GLOB KDL_HPPS [^.]*.hpp [^.]*.inl)

FILE( GLOB UTIL_HPPS utilities/[^.]*.h utilities/[^.]*.hpp)

#In Windows (Visual Studio) it is necessary to specify the postfix
#of the debug library name and no symbols are exported by kdl, 
#so it is necessary to compile it as a static library
IF(MSVC)
    SET(CMAKE_DEBUG_POSTFIX "d")
    SET(LIB_TYPE STATIC)
ELSE(MSVC)
    SET(LIB_TYPE SHARED)
ENDIF(MSVC)

CONFIGURE_FILE(config.h.in config.h @ONLY)

#### Settings for rpath
IF(NOT MSVC)
    #add the option to disable RPATH
    OPTION(OROCOSKDL_ENABLE_RPATH "Enable RPATH during installation" TRUE)
    MARK_AS_ADVANCED(OROCOSKDL_ENABLE_RPATH)
ENDIF(NOT MSVC)

IF(OROCOSKDL_ENABLE_RPATH)
    #Configure RPATH
    SET(CMAKE_MACOSX_RPATH TRUE) #enable RPATH on OSX. This also suppress warnings on CMake >= 3.0
    # when building, don't use the install RPATH already
    # (but later on when installing)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    #build directory by default is built with RPATH
    SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

    #This is relative RPATH for libraries built in the same project
    #I assume that the directory is
    # - install_dir/something for binaries
    # - install_dir/lib for libraries
    LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
    IF("${isSystemDir}" STREQUAL "-1")
        FILE(RELATIVE_PATH _rel_path "${CMAKE_INSTALL_PREFIX}/bin" "${CMAKE_INSTALL_PREFIX}/lib")
        IF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
            SET(CMAKE_INSTALL_RPATH "@loader_path/${_rel_path}")
        ELSE()
            SET(CMAKE_INSTALL_RPATH "\$ORIGIN/${_rel_path}")
        ENDIF()
    ENDIF("${isSystemDir}" STREQUAL "-1")
    # add the automatically determined parts of the RPATH
    # which point to directories outside the build tree to the install RPATH
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE) #very important!
ENDIF()
#####end RPATH

ADD_LIBRARY(orocos-kdl ${LIB_TYPE} ${KDL_SRCS})

TARGET_INCLUDE_DIRECTORIES(orocos-kdl PUBLIC
  "$<INSTALL_INTERFACE:include>")

SET_TARGET_PROPERTIES( orocos-kdl PROPERTIES
  SOVERSION "${KDL_VERSION_MAJOR}.${KDL_VERSION_MINOR}"
  VERSION "${KDL_VERSION}"
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}"
  PUBLIC_HEADER "${KDL_HPPS};${CMAKE_CURRENT_BINARY_DIR}/config.h"
  )

#### Settings for rpath disabled (back-compatibility)
IF(NOT OROCOSKDL_ENABLE_RPATH)
    SET_TARGET_PROPERTIES( orocos-kdl PROPERTIES
      INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF()
#####end RPATH

# Needed so that the generated config.h can be used
TARGET_INCLUDE_DIRECTORIES(orocos-kdl PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
TARGET_LINK_LIBRARIES(orocos-kdl ${Boost_LIBRARIES})

INSTALL(TARGETS orocos-kdl
  EXPORT OrocosKDLTargets
  ARCHIVE DESTINATION lib${LIB_SUFFIX}
  LIBRARY DESTINATION lib${LIB_SUFFIX}
  RUNTIME DESTINATION bin
  PUBLIC_HEADER DESTINATION include/kdl
)

INSTALL(FILES ${UTIL_HPPS} DESTINATION include/kdl/utilities)

=== orocos_kdl/tests/CMakeLists.txt ===
IF(ENABLE_TESTS)
  ENABLE_TESTING()

  INCLUDE_DIRECTORIES(${PROJ_SOURCE_DIR}/src ${CPPUNIT_HEADERS} ${PROJECT_BINARY_DIR}/src)

  ADD_EXECUTABLE(framestest framestest.cpp test-runner.cpp)
  TARGET_LINK_LIBRARIES(framestest orocos-kdl ${CPPUNIT})
  SET(TESTNAME "framestest")
  SET_TARGET_PROPERTIES( framestest PROPERTIES
   COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
  ADD_TEST(NAME framestest COMMAND framestest)

 ADD_EXECUTABLE(kinfamtest kinfamtest.cpp test-runner.cpp)
 TARGET_LINK_LIBRARIES(kinfamtest orocos-kdl ${CPPUNIT})
 SET(TESTNAME "kinfamtest")
 SET_TARGET_PROPERTIES( kinfamtest PROPERTIES
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS}")
 ADD_TEST(NAME kinfamtest COMMAND kinfamtest)

 ADD_EXECUTABLE(solvertest solvertest.cpp test-runner.cpp)
 TARGET_LINK_LIBRARIES(solvertest orocos-kdl ${CPPUNIT})
 SET(TESTNAME "solvertest")
 SET_TARGET_PROPERTIES( solvertest PROPERTIES
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME solvertest COMMAND solvertest)

 ADD_EXECUTABLE(inertiatest inertiatest.cpp test-runner.cpp)
 TARGET_LINK_LIBRARIES(inertiatest orocos-kdl ${CPPUNIT})
 SET(TESTNAME "inertiatest")
 SET_TARGET_PROPERTIES( inertiatest PROPERTIES
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME inertiatest COMMAND inertiatest)

 ADD_EXECUTABLE(jacobiantest jacobiantest.cpp test-runner.cpp)
 SET(TESTNAME "jacobiantest")
 TARGET_LINK_LIBRARIES(jacobiantest orocos-kdl ${CPPUNIT})
 SET_TARGET_PROPERTIES( jacobiantest PROPERTIES
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME jacobiantest COMMAND jacobiantest)

 ADD_EXECUTABLE(jacobiandottest jacobiandottest.cpp test-runner.cpp)
 SET(TESTNAME "jacobiandottest")
 TARGET_LINK_LIBRARIES(jacobiandottest orocos-kdl ${CPPUNIT})
 SET_TARGET_PROPERTIES( jacobiandottest PROPERTIES
  COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME jacobiandottest COMMAND jacobiandottest)

 ADD_EXECUTABLE(velocityprofiletest velocityprofiletest.cpp test-runner.cpp)
 SET(TESTNAME "velocityprofiletest")
 TARGET_LINK_LIBRARIES(velocityprofiletest orocos-kdl ${CPPUNIT})
 SET_TARGET_PROPERTIES( velocityprofiletest PROPERTIES
   COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME velocityprofiletest COMMAND velocityprofiletest)

 ADD_EXECUTABLE(treeinvdyntest treeinvdyntest.cpp test-runner.cpp)
 SET(TESTNAME "treeinvdyntest")
 TARGET_LINK_LIBRARIES(treeinvdyntest orocos-kdl ${CPPUNIT})
 SET_TARGET_PROPERTIES( treeinvdyntest PROPERTIES
   COMPILE_FLAGS "${CMAKE_CXX_FLAGS_ADD} ${KDL_CFLAGS} -DTESTNAME=\"\\\"${TESTNAME}\\\"\" ")
 ADD_TEST(NAME treeinvdyntest COMMAND treeinvdyntest)

#  ADD_EXECUTABLE(rframestest  rframestest.cpp)
#  TARGET_LINK_LIBRARIES(rframestest orocos-kdl)
#  ADD_TEST(NAME rframestest COMMAND rframestest)
#
#  ADD_EXECUTABLE(rallnumbertest  rallnumbertest.cpp)
#  TARGET_LINK_LIBRARIES(rallnumbertest orocos-kdl)
#  ADD_TEST(NAME rallnumbertest COMMAND rallnumbertest)

  ADD_CUSTOM_TARGET(check ctest -V WORKING_DIRECTORY ${PROJ_BINARY_DIR}/tests)
ENDIF(ENABLE_TESTS)

=== debian/changelog ===
orocos-kdl (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * Migrate debian/watch to version 5 format
  * New upstream version 1.5.2
    - Fix FTBFS with CMake 4 (Closes: #1113370)
  * Update patches.
    - Obsolete: 0005-Use-system-pybind11-package.patch
  * Bump Standards-Version to 4.7.2
  * Bump CMake policy version in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 09 Oct 2025 15:57:55 +0200

=== debian/control ===
Source: orocos-kdl
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13), cmake, pkg-config, libeigen3-dev, python3-all-dev, dh-sequence-python3, pybind11-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.orocos.org/kdl
Vcs-Browser: https://salsa.debian.org/science-team/orocos-kdl
Vcs-Git: https://salsa.debian.org/science-team/orocos-kdl.git

Package: liborocos-kdl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liborocos-kdl1.5 (= ${binary:Version}), ${misc:Depends}, libeigen3-dev
Description: Kinematics and Dynamics Library development files
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers. This package contains the development files
 of the library.

Package: liborocos-kdl1.5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kinematics and Dynamics Library runtime
 Orocos project to supply RealTime usable kinematics and dynamics code,
 it contains code for rigid body kinematics calculations and
 representations for kinematic structures and their inverse and forward
 kinematic solvers. This package contains the library itself.

Package: python3-pykdl
Section: python
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Kinematics and Dynamics Library Python library
 This package contains the Python bindings PyKDL for the Kinematics and
 Dynamics Library (KDL), distributed by the Orocos Project.

=== debian/watch ===
Version: 5

Template: Github
Owner: orocos
Project: orocos_kinematics_dynamics
